# Registry

Создание файла с аутентификацией:

```sh
~ $ htpasswd -Bc registry.password <login>
```

Файл `registry.password` поместить в каталог `auth`:

```sh
...
    volumes:
      - /var/volumes/registry/auth:/auth
...
```

Для авторизации в registry выполнить команду

```sh
docker login -u "<login>" -p "<password>" <address>
```

Доступ к registry:

```sh
http://<ip-address>:5000/v2/_catalog
```

Для доступа к HTTP (небезопасному) хосту из под Docker - добавить в `/etc/docker/daemon.json`:

```sh
{"insecure-registries" : ["http://<address>:5000"]}
```
